<?php
require_once('../wu_init.php');

if (!USER_LOGGED) { exit('Вы не авторизованы'); }

if(isset($_GET['usr'])){
$usr = mysqli_real_escape_string($connect_db, $_GET['usr']);
$nusr = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT uid FROM ".DB_PREFIX."_users WHERE log='$usr' LIMIT 1"));
if ($nusr['uid'] == $u_id) { wu_log_act(1, 'Пытался написать сообщение сам себе'); header ("Location: /account/messages"); exit; }
if (!empty($nusr['uid']) && $nusr['uid'] != 0) {
header ("Location: /account/messages/$nusr[uid]"); exit;
} else {
wu_log_act(1, 'Пытался написать сообщение несуществующему пользователю '.wu_filter($_GET['usr']));
header ("Location: /account/messages?st=not"); exit;
}
} else { wu_log_act(2, 'Пытался написать сообщение никому'); header ("Location: /account/messages"); exit; }
?>